<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */




class MenuEinstellTool5 extends MenuEinstell
{
  public $file = 'writecolumnstool5.php';

  
  protected function _getSights()
  {
    $result = array();

    $sightIds = array(
         15 => 'Raumübersicht',
         16 => 'Raum - Reiter Termine',
         17 => 'Raum - Reiter Raumdetails',
         18 => 'Grafik für einen Raum',
         34 => 'Kurs - Reiter Kursdetails',
         35 => 'Grafik für ein Gebäude',
        134 => 'Kurs - Reiter Teilnehmer',
        135 => 'Kurs - Reiter Dozenten',
        140 => 'Kurs - Reiter Termine',
        240 => 'Druck der Teilnehmerlisten',
        257 => 'Druck von Hausmeisterlisten',
        258 => 'Raum - Reiter Kurse',
        333 => 'Raumübersicht-Überschrift',
        339 => 'Reiter zu einem Raum',
        341 => 'Reiter zu einem Kurs',
        342 => 'Kurs - Reiter Inhalt'
        );

    foreach ($sightIds as $sightId => $description) {
      $result[] = $this->_createSightObj($sightId, \ToolsAPI::TOOL_RAUMBELEGUNG_HM, $description);
    }

    return $result;
  }

  public function mainmenu($pEinstieg, $editid, $p_sightid)
  {
    
    if ($pEinstieg == 1) {
      $this->getUebersichtEinstell(SessionOperations::getVarValueIntern('menutext'));
    } else { 

      echo "<table border='0' cellpadding='0' cellspacing='5' height='100%' width='100%'>
              <tr>
                <td valign='top' width='100%' height='5%'>
                  <p align='right'><font id='text_basys_webtools'>" . KUFERTOOLS . '</font></p>
                </td>
              </tr>
            </table>';

      $curr_caption = $this->_getSightDescription($p_sightid);

      switch ($p_sightid) {
        case 15: 


          
          $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_RAUMBELEGUNG_HM);

          
          $arycheck = array('', '', '', '', '', '');
          if (($objsettings->sortraeume == 'raum_nr') && ($objsettings->sortraeumeasc)) {
            $arycheck[0] = 'checked';
          } elseif (($objsettings->sortraeume == 'raum_nr') && (!$objsettings->sortraeumeasc)) {
            $arycheck[1] = 'checked';
          } elseif (($objsettings->sortraeume == 'bezeichnung') && ($objsettings->sortraeumeasc)) {
            $arycheck[2] = 'checked';
          } 
          elseif (($objsettings->sortraeume == 'bezeichnung') && (!$objsettings->sortraeumeasc)) {
            $arycheck[3] = 'checked';
          } elseif (($objsettings->sortraeume == 'mktext') && ($objsettings->sortraeumeasc)) {
            $arycheck[4] = 'checked';
          } 
          elseif (($objsettings->sortraeume == 'mktext') && (!$objsettings->sortraeumeasc)) {
            $arycheck[5] = 'checked';
          }

          
          
          $nurzugeordneteorte_checked = '';
          if ($objsettings->nurzugeordneteorte == true) {
            $nurzugeordneteorte_checked = HTMLOperations::getEmptyAttribute('checked');
          }

          $filterMehrereGebaeude_checked = '';
          if ($objsettings->filterMehrereGebaeude == true) {
            $filterMehrereGebaeude_checked = HTMLOperations::getEmptyAttribute('checked');
          }

          echo BR_WT
              . "<form action='writecolumnstool5.php' method='POST'>
                <input type='hidden' value='Show_Sort_Raeume' name='art'>
                <input type='hidden' value='5' name='tool'>
                <input type='hidden' value='" . CleanOperations::cleanInt($p_sightid) . "' name='sightid'>
                <h2>Einstellungen für die Raumübersicht</h2>
                <table border='0' width='100%'>
                  <tr>
                    <td width='85%' valign='top' height='50'><font class='text_main_menu'><b>angezeigte Räume pro Seite:</b></font>"
                                                              . HTMLOperations::CreateInputTagPlusMinus('raeumeproseite', '', 'bigger-null', $objsettings->raeumeproseite, 'size="3"')
                    . "</td>
                  </tr>
                  <tr>
                    <td width='85%' rowspan='2' valign='top' height='19'><font class='text_main_menu'><b>Sortierung der Räume:</b></font>"
                      . "<table border='0' width='100%' style='margin-top: 15px;'>
                        <tr>
                          <td width='34%' valign='top'><font class='text_main_menu'>&nbsp; -&nbsp; nach Raumnummer: </font></td>
                          <td width='33%' valign='top'><input type='radio' value='raeumeauf' " . $arycheck[0] . " name='sortraeume'>
                            <font class='text_main_menu'>aufsteigend</font>
                          </td>
                          <td width='33%' valign='top'><input type='radio' name='sortraeume' " . $arycheck[1] . " value='raeumeab'>
                            <font class='text_main_menu'>absteigend</font>
                          </td>
                        </tr>
                        <tr height='40'>
                          <td width='34%' valign='top'><font class='text_main_menu'>&nbsp; -&nbsp; nach Raumbezeichnung:</font></td>
                          <td width='33%' valign='top'><input type='radio' value='bezlangauf' " . $arycheck[4] . " name='sortraeume'>
                            <font class='text_main_menu'>aufsteigend</font>
                          </td>
                          <td width='33%' valign='top'><input type='radio' name='sortraeume' " . $arycheck[5] . " value='bezlangab'>
                            <font class='text_main_menu'>absteigend</font>
                          </td>
                        </tr>"
                        
                        . "<tr>
                            <td colspan='2' height='19' valign='top'>
                                <input type='checkbox' name='nurzugeordneteorte'" . $nurzugeordneteorte_checked
                                . "><font class='text_main_menu'> Nur die dem Hausmeister zugeordneten Kursorte anzeigen.</font></td>
                            </tr>";

          echo $this->_getNichtVerfuegbareRaeumeAnzeigen($objsettings->raumNichtVerfuegbar);

          echo "<tr>
                  <td colspan='2' height='19' valign='top'>
                    <input type='checkbox' name='filterMehrereGebaeude'" . $filterMehrereGebaeude_checked . ">
                      <font class='text_main_menu'> Filter nach mehreren Gebäuden gleichzeitig ermöglichen
                </font></td></tr>";

            
          
          $showraumstattaktuelles_checked = '';
          if ($objsettings->showraumstattaktuelles == true) {
            $showraumstattaktuelles_checked = HTMLOperations::getEmptyAttribute('checked');
          }

          
          $dbwtools = new DBWorkTools();
          $tool16 = $dbwtools->getTool(\ToolsAPI::TOOL_AKTUELLES);
          $tool16vorhanden = $tool16->id != null;
          if ($tool16vorhanden) {
            echo "<tr>
                    <td colspan='2' height='40' valign='top'>
                      <input type='checkbox' name='showraumstattaktuelles'" . $showraumstattaktuelles_checked
                      . "><font class='text_main_menu'> Raumübersicht statt Aktuelles auf Startseite anzeigen, auch wenn Tool Aktuelles genutzt wird.</font>"
                        . $this->getInfoPopup('Wenn dieser Haken gesetzt ist, wird auf der Startseite sofort die Raumübersicht angezeigt, auch wenn das Tool Aktuelles genutzt wird. '
                        . 'Falls der Benutzer (Hausmeister) kein Recht für die Verwendung von Tool Aktuelles besitzt, wird auf der Startseite ebenfalls sofort die '
                        . 'Raumübersicht angezeigt und zwar unabhängig davon, ob dieser Haken gesetzt ist. ', 'Erkl&auml;rung zur Anzeige der aktuellen Nachrichten.')
                    . '</td>
                  </tr>';
          }
          echo      "<tr><td width='15%' height='40' valign='top'><input type='image' title='Speichern' src='layout/button_save.gif' border='0'></td></tr>    
                  </table>
                </td>
              </tr>
            </table>
          </form>";

          $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 800, 40));
          break;


          case 16: 


            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_RAUMBELEGUNG_HM, $editid, $p_sightid, $this->file);     

            
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_RAUMBELEGUNG_HM);

            
            
            if ($objsettings->sperrzeitanzeigen == true) {
              $sperrzeit_anzeigen = ' checked';
            } else {
              $sperrzeit_anzeigen = '';
            }
            echo'
                ' . BR_WT . BR_WT . "
                <form action='writecolumnstool5.php' method='POST'>
                  <input type='hidden' value='Show_Kurstage' name='art'>
                  <input type='hidden' value='5' name='tool'>
                  <input type='hidden' value='" . CleanOperations::cleanInt($p_sightid) . "' name='sightid'>
                  <table border='0' width='100%'>
                    <tr>
                      <td width='85%' valign='top' height='19'>
                        <input type='checkbox' name='sperrzeitanzeigen' $sperrzeit_anzeigen >
                        <font class='text_main_menu'>Die Sperrzeiten zu dem jeweiligen Raum mit anzeigen</font>" . BR_WT . "
                      </td>
                    </tr>  
                    <tr>
                     <td width='85%' height='19'>  
                     </td>
                     <td width='15%' height='19'> 
                      <input type='image' title='Speichern' src='layout/button_save.gif' border='0'>
                     </td>         
                    </tr>    
                  </table>
                </td>
               </tr>
              </table>
             </form>";
            break;


          case 17: 

              echo '<h2>Einstellungen für die Anzeige des Raumes</h2>';

            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 771, 375));
            break;

          case 18: 

            
            
            
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_RAUMBELEGUNG_HM);
            $this->file = 'writecolumnstool5.php';
            $formary = array();
            $hid_val = 'Show_Graf_Raum';
            
            
            
            
            $formary[] = new FormVarCheck($objsettings->medienanzeigen2, 'medienanzeigen2', 'Medien anzeigen');
            $formary[] = new FormVarRadio(
              $objsettings->grafik_raum_header,
              'grafik_raum_header',
              'Raumbeschreibung in der &Uuml;berschrift:',
              array('immer Raumbezeichnung' => 1, 
                                                  'Kurzbezeichnung falls vorhanden, sonst Raumbezeichnung' => 2
                                           ),
              'immer Kurzbezeichnung'
            );
            
            
            

            $formary[] = new FormSelFarbe(
              $objsettings->farbenorm,
              'farbenorm',
              'Normal',
              $this->getFarben(),
              '---Farbe auswählen---',
              'Farbauswahl für die Legende der Grafiken'
            );
            $formary[] = new FormSelFarbe($objsettings->farbeX, 'farbeX', 'durchgeführt (X)', $this->getFarben(), '---Farbe auswählen---');
            $formary[] = new FormSelFarbe($objsettings->farbeA, 'farbeA', 'Ausfall (A)', $this->getFarben(), '---Farbe auswählen---');
            $formary[] = new FormSelFarbe($objsettings->farbeN, 'farbeN', 'Nachbesprechung (N)', $this->getFarben(), '---Farbe auswählen---');
            $formary[] = new FormSelFarbe($objsettings->farbeZ, 'farbeZ', 'Zusatztag (Z)', $this->getFarben(), '---Farbe auswählen---');
            $formary[] = new FormSelFarbe($objsettings->farbeV, 'farbeV', 'Vorbesprechung (V)', $this->getFarben(), '---Farbe auswählen---');
            $formary[] = new FormSelFarbe($objsettings->farbeE, 'farbeE', 'Elternabend (E)', $this->getFarben(), '---Farbe auswählen---');
            $formary[] = new FormSelFarbe($objsettings->farbeP, 'farbeP', 'Prüfung (P)', $this->getFarben(), '---Farbe auswählen---');
            $formary[] = new FormSelFarbe($objsettings->farbeI, 'farbeI', 'Informationsabend (I)', $this->getFarben(), '---Farbe auswählen---');
            
            $formary[] = new FormSelFarbe($objsettings->farbe1K, 'farbe1K', '1ter Kurstag (1K)', $this->getFarben(), '---Farbe auswählen---');
            $formary[] = new FormSelFarbe($objsettings->farbeS, 'farbeS', 'Sperre (S)', $this->getFarben(), '---Farbe auswählen---');


            

            $formary[] = new FormVarInputHL(
              $objsettings->celltermheight_vert,
              'celltermheight_vert',
              'Zellenhöhe',
              'Größeneinstellungen der Zellen bei Vertikalausgabe',
              3,
              8,
              true,
              500,
              140,
              35,
              180
            );
            $formary[] = new FormVarInputHL(
              $objsettings->celltermwidth_vert,
              'celltermwidth_vert',
              'Zellenbreite',
              '',
              3,
              8,
              true,
              500,
              140,
              30,
              100
            );
            $formary[] = new FormVarInputHL(
              $objsettings->celltermheight_header_vert,
              'celltermheight_header_vert',
              'Höhe des Headers (erste Zeile)',
              '',
              3,
              8,
              500,
              140,
              8,
              50
            );
            $formary[] = new FormVarInputHL(
              $objsettings->celltermwidth_header_vert,
              'celltermwidth_header_vert',
              'Breite des Headers (erste Spalte)',
              '',
              3,
              8,
              true,
              500,
              140,
              40,
              150
            );
            $formary[] = new FormVarInputHL(
              $objsettings->beltermblock_height_vert,
              'beltermblock_height_vert',
              'Höhe eines Belegungsblocks',
              '',
              3,
              8,
              true,
              500,
              140,
              30,
              180
            );
            $formary[] = new FormVarInputHL(
              $objsettings->sperrtermblock_height_vert,
              'sperrtermblock_height_vert',
              'Höhe eines Sperrblocks',
              '',
              3,
              8,
              true,
              500,
              140,
              10,
              180
            );

            $formary[] = new FormVarInputHL(
              $objsettings->celltermheight_hori,
              'celltermheight_hori',
              'Zellenhöhe',
              'Größeneinstellungen der Zellen bei Horizontalausgabe',
              3,
              8,
              true,
              500,
              140,
              20,
              80
            );
            $formary[] = new FormVarInputHL(
              $objsettings->celltermwidth_hori,
              'celltermwidth_hori',
              'Zellenbreite',
              '',
              3,
              8,
              true,
              500,
              140,
              50,
              200
            );
            $formary[] = new FormVarInputHL(
              $objsettings->celltermheight_header_hori,
              'celltermheight_header_hori',
              'Höhe des Headers (erste Zeile)',
              '',
              3,
              8,
              true,
              500,
              140,
              35,
              70
            );
            $formary[] = new FormVarInputHL(
              $objsettings->celltermwidth_header_hori,
              'celltermwidth_header_hori',
              'Breite des Headers (erste Spalte)',
              '',
              3,
              8,
              true,
              500,
              140,
              30,
              80
            );
            $formary[] = new FormVarInputHL(
              $objsettings->beltermblock_width_hori,
              'beltermblock_width_hori',
              'Breite eines Belegungsblocks',
              '',
              3,
              8,
              true,
              500,
              140,
              50,
              200
            );
            $formary[] = new FormVarInputHL(
              $objsettings->sperrtermblock_width_hori,
              'sperrtermblock_width_hori',
              'Breite eines Sperrblocks',
              '',
              3,
              8,
              true,
              500,
              140,
              45,
              200
            );



            $this->showEinstellForm(
              \ToolsAPI::TOOL_RAUMBELEGUNG_HM,
              $p_sightid,
              $objsettings,
              $this->file,
              $formary,
              'Raumgrafik',
              $hid_val,
              ''
            );
            break;


          case 34: 

            echo '<h2>Einstellungen für die Anzeige des Kurses</h2>';
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 771, 375));
            break;


          case 35: 


            
            
            
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_RAUMBELEGUNG_HM);
            $this->file = 'writecolumnstool5.php';
            $formary = array();
            
            

            $hid_val = 'Show_Graf_Geb';
            
            
            
            
            $formary[] = new FormVarCheck(
              $objsettings->medienanzeigen1,
              'medienanzeigen1',
              'Medien anzeigen',
              'Gruppe Medien'
            );
            $zusatztext = 'Die Legende für eine Raumgrafik und für eine Gebäudegrafik besitzen dieselben '
                           . 'Farbeinstellungen. Diese Einstellungen sind unter Zentrale Einstellungen -->'
                            . " 'Raumbelegung für Hausmeister-->Grafik für einen Raum' zu finden ";


             

             $formary[] = new FormVarInputHL(
               $objsettings->cellheight_vert,
               'cellheight_vert',
               'Zellenhöhe',
               'Größeneinstellungen der Zellen bei Vertikalausgabe',
               3,
               8,
               true,
               500,
               140,
               30,
               180
             );
             $formary[] = new FormVarInputHL(
               $objsettings->cellwidth_vert,
               'cellwidth_vert',
               'Zellenbreite',
               '',
               3,
               8,
               true,
               500,
               140,
               30,
               100
             );
             $formary[] = new FormVarInputHL(
               $objsettings->cellheight_header_vert,
               'cellheight_header_vert',
               'Höhe des Headers (erste Zeile)',
               '',
               3,
               8,
               true,
               500,
               140,
               8,
               50
             );
             $formary[] = new FormVarInputHL(
               $objsettings->cellwidth_header_vert,
               'cellwidth_header_vert',
               'Breite des Headers (erste Spalte)',
               '',
               3,
               8,
               true,
               500,
               140,
               40,
               150
             );

             $formary[] = new FormVarInputHL(
               $objsettings->belblock_height_vert,
               'belblock_height_vert',
               'Höhe eines Belegungsblocks',
               '',
               3,
               8,
               true,
               500,
               140,
               30,
               180
             );
             $formary[] = new FormVarInputHL(
               $objsettings->sperrblock_height_vert,
               'sperrblock_height_vert',
               'Höhe eines Sperrblocks',
               '',
               3,
               8,
               true,
               500,
               140,
               10,
               180
             );

             $formary[] = new FormVarInputHL(
               $objsettings->cellheight_hori,
               'cellheight_hori',
               'Zellenhöhe',
               'Größeneinstellungen der Zellen bei Horizontalausgabe',
               3,
               8,
               true,
               500,
               140,
               20,
               80
             );
             $formary[] = new FormVarInputHL(
               $objsettings->cellwidth_hori,
               'cellwidth_hori',
               'Zellenbreite',
               '',
               3,
               8,
               true,
               500,
               140,
               50,
               200
             );
             $formary[] = new FormVarInputHL(
               $objsettings->cellheight_header_hori,
               'cellheight_header_hori',
               'Höhe des Headers (erste Zeile)',
               '',
               3,
               8,
               true,
               500,
               140,
               35,
               70
             );
             $formary[] = new FormVarInputHL(
               $objsettings->cellwidth_header_hori,
               'cellwidth_header_hori',
               'Breite des Headers (erste Spalte)',
               '',
               3,
               8,
               true,
               500,
               140,
               30,
               80
             );

              $formary[] = new FormVarInputHL(
                $objsettings->belblock_width_hori,
                'belblock_width_hori',
                'Breite eines Belegungsblocks',
                '',
                3,
                8,
                true,
                500,
                140,
                50,
                200
              );
              $formary[] = new FormVarInputHL(
                $objsettings->sperrblock_width_hori,
                'sperrblock_width_hori',
                'Breite eines Sperrblocks',
                '',
                3,
                8,
                true,
                500,
                140,
                45,
                200
              );

              
              
              $this->showEinstellForm(
                \ToolsAPI::TOOL_RAUMBELEGUNG_HM,
                $p_sightid,
                $objsettings,
                $this->file,
                $formary,
                'Gebäudegrafik',
                $hid_val,
                $zusatztext,
                false
              );
              break;


          case 134: 

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid, $this->file);
            $this->mainmenuCenter(\ToolsAPI::TOOL_RAUMBELEGUNG_HM, $editid, $p_sightid, $this->file);

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_RAUMBELEGUNG_HM);
            
            
            
            $defaultStatus = '';
            $this->showSelectionForm(
              'tn',
              \ToolsAPI::TOOL_RAUMBELEGUNG_HM,
              $p_sightid,
              $this->file,
              $objsettings,
              $objsettings->sorttnasc,
              $objsettings->tnstatus,
              $defaultStatus,
              $objsettings->colortnstatus,
              array('t.name', 'b.anm_datum'),
              true,
              false,
              true
            );

            echo '</table>' . "\n";



            echo BR_WT
                . $this->getBeschraenkungTnDatenSetting(
                  $objsettings->tnDatenAusblendenNachKursEnde,
                  'bold',
                  'Diese Einstellung befindet sich ebenfalls unter &quot;Kurs&uuml;bersicht für Hausmeister / Kurs&uuml;bersicht&quot;.' . BR_WT
                  . 'Werden keine Teilnehmerdaten angezeigt, werden der Button Teilnehmer, sowie der Reiter Teilnehmer in den Kursdetails des '
                  . 'Kurses ausgeblendet.' . BR_WT
                  . 'Zudem werden zum Kurs PDF-Listen mit Teilnehmerdaten nicht erzeugt, es wird stattdessen eine entsprechende Meldung ausgegeben.' . BR_WT
                  . 'Wird z. B. als Wert 0 eingetragen, können die Teilnehmerdaten bis einschließlich zum Tag des Kursendes eingesehen werden.'
                )

                . '<div class="SpeicherButtonDiv">' . HTMLOperations::CreateSubmitButton('layout/button_save.gif', '', 'Speichern', 2, '') . '
                </div>
              </form>';
            break;


          case 135: 

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid, $this->file);
            $this->mainmenuCenter(\ToolsAPI::TOOL_RAUMBELEGUNG_HM, $editid, $p_sightid, $this->file);

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_RAUMBELEGUNG_HM);

            $person = 'doz';
            $art = 'dozenten';
            $withSortAnmDatum = false;

            
            $arycheck = $this->getArrayCheck4Personen($objsettings, $person);

            echo BR_WT
              . $this->getStandardEinstellFormHeader(\ToolsAPI::TOOL_RAUMBELEGUNG_HM, $art, $p_sightid)
                . $this->getPersonSortierungSubMenu($arycheck, $person, false, $withSortAnmDatum)
                . '<div class="SpeicherButtonDiv">' . HTMLOperations::CreateSubmitButton('layout/button_save.gif', '', 'Speichern', 2, '') . '
                </div>
              </form>';
            break;


          case 140: 

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid, $this->file);
            $this->mainmenuCenter(\ToolsAPI::TOOL_RAUMBELEGUNG_HM, $editid, $p_sightid, $this->file);
            break;


          case 240: 

            $tnlisten = new TNListen('hleinstell.php?sightid=' . $p_sightid . '&tool=' . \ToolsAPI::TOOL_RAUMBELEGUNG_HM, \ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid, true);
            $tnlisten->show();
            break;


          case 257: 

              $drucklisten = new HausmeisterDruckListen('hleinstell.php?sightid=' . $p_sightid . '&tool=' . \ToolsAPI::TOOL_RAUMBELEGUNG_HM, \ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid, true);
              $drucklisten->show();
              break;

          case 258: 

            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid, $this->file); 
            $this->mainmenuCenter(\ToolsAPI::TOOL_RAUMBELEGUNG_HM, $editid, $p_sightid, $this->file);     
              break;

          case 333: 

              echo $this->noSettingsWithText('Hier können Sie die Überschrift für die Raumübersicht einstellen. Bitte verwenden Sie nur Labels.');

            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 790, 40));
            break;

          case 339: 

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_RAUMBELEGUNG_HM);
            $ueberschrift = '<h2>Einstellungen für die Anzeige der Reiter zu einen Raum</h2>';
            echo $this->getSettings4ReiterSeite(\ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid, 'reiter_seite_raum', $objsettings->reiterBeschriftung_raum, $ueberschrift);
            break;

          case 341: 

            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_RAUMBELEGUNG_HM);
            $ueberschrift = '<h2>Einstellungen für die Anzeige der Reiter zu einen Kurs</h2>';
            echo $this->getSettings4ReiterSeite(\ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid, 'reiter_seite_kurs', $objsettings->reiterBeschriftung_kurs, $ueberschrift);
            break;

          case 342: 

            echo $this->getSettings4ReiterInhalt(\ToolsAPI::TOOL_RAUMBELEGUNG_HM, $p_sightid);
            break;

        }
    }
  }
}